config.status 34 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123
  1. #! /bin/bash
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/bash}
  10. ## --------------------- ##
  11. ## M4sh Initialization. ##
  12. ## --------------------- ##
  13. # Be more Bourne compatible
  14. DUALCASE=1; export DUALCASE # for MKS sh
  15. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  16. emulate sh
  17. NULLCMD=:
  18. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  19. # is contrary to our usage. Disable this feature.
  20. alias -g '${1+"$@"}'='"$@"'
  21. setopt NO_GLOB_SUBST
  22. else
  23. case `(set -o) 2>/dev/null` in
  24. *posix*) set -o posix ;;
  25. esac
  26. fi
  27. # PATH needs CR
  28. # Avoid depending upon Character Ranges.
  29. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  30. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  31. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  32. as_cr_digits='0123456789'
  33. as_cr_alnum=$as_cr_Letters$as_cr_digits
  34. # The user is always right.
  35. if test "${PATH_SEPARATOR+set}" != set; then
  36. echo "#! /bin/sh" >conf$$.sh
  37. echo "exit 0" >>conf$$.sh
  38. chmod +x conf$$.sh
  39. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  40. PATH_SEPARATOR=';'
  41. else
  42. PATH_SEPARATOR=:
  43. fi
  44. rm -f conf$$.sh
  45. fi
  46. # Support unset when possible.
  47. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  48. as_unset=unset
  49. else
  50. as_unset=false
  51. fi
  52. # IFS
  53. # We need space, tab and new line, in precisely that order. Quoting is
  54. # there to prevent editors from complaining about space-tab.
  55. # (If _AS_PATH_WALK were called with IFS unset, it would disable word
  56. # splitting by setting IFS to empty value.)
  57. as_nl='
  58. '
  59. IFS=" "" $as_nl"
  60. # Find who we are. Look in the path if we contain no directory separator.
  61. case $0 in
  62. *[\\/]* ) as_myself=$0 ;;
  63. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  64. for as_dir in $PATH
  65. do
  66. IFS=$as_save_IFS
  67. test -z "$as_dir" && as_dir=.
  68. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  69. done
  70. IFS=$as_save_IFS
  71. ;;
  72. esac
  73. # We did not find ourselves, most probably we were run as `sh COMMAND'
  74. # in which case we are not to be found in the path.
  75. if test "x$as_myself" = x; then
  76. as_myself=$0
  77. fi
  78. if test ! -f "$as_myself"; then
  79. echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  80. { (exit 1); exit 1; }
  81. fi
  82. # Work around bugs in pre-3.0 UWIN ksh.
  83. for as_var in ENV MAIL MAILPATH
  84. do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  85. done
  86. PS1='$ '
  87. PS2='> '
  88. PS4='+ '
  89. # NLS nuisances.
  90. for as_var in \
  91. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  92. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  93. LC_TELEPHONE LC_TIME
  94. do
  95. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  96. eval $as_var=C; export $as_var
  97. else
  98. ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  99. fi
  100. done
  101. # Required to use basename.
  102. if expr a : '\(a\)' >/dev/null 2>&1 &&
  103. test "X`expr 00001 : '.*\(...\)'`" = X001; then
  104. as_expr=expr
  105. else
  106. as_expr=false
  107. fi
  108. if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  109. as_basename=basename
  110. else
  111. as_basename=false
  112. fi
  113. # Name of the executable.
  114. as_me=`$as_basename -- "$0" ||
  115. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  116. X"$0" : 'X\(//\)$' \| \
  117. X"$0" : 'X\(/\)' \| . 2>/dev/null ||
  118. echo X/"$0" |
  119. sed '/^.*\/\([^/][^/]*\)\/*$/{
  120. s//\1/
  121. q
  122. }
  123. /^X\/\(\/\/\)$/{
  124. s//\1/
  125. q
  126. }
  127. /^X\/\(\/\).*/{
  128. s//\1/
  129. q
  130. }
  131. s/.*/./; q'`
  132. # CDPATH.
  133. $as_unset CDPATH
  134. as_lineno_1=$LINENO
  135. as_lineno_2=$LINENO
  136. test "x$as_lineno_1" != "x$as_lineno_2" &&
  137. test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
  138. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  139. # uniformly replaced by the line number. The first 'sed' inserts a
  140. # line-number line after each line using $LINENO; the second 'sed'
  141. # does the real work. The second script uses 'N' to pair each
  142. # line-number line with the line containing $LINENO, and appends
  143. # trailing '-' during substitution so that $LINENO is not a special
  144. # case at line end.
  145. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  146. # scripts with optimization help from Paolo Bonzini. Blame Lee
  147. # E. McMahon (1931-1989) for sed's syntax. :-)
  148. sed -n '
  149. p
  150. /[$]LINENO/=
  151. ' <$as_myself |
  152. sed '
  153. s/[$]LINENO.*/&-/
  154. t lineno
  155. b
  156. :lineno
  157. N
  158. :loop
  159. s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
  160. t loop
  161. s/-\n.*//
  162. ' >$as_me.lineno &&
  163. chmod +x "$as_me.lineno" ||
  164. { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
  165. { (exit 1); exit 1; }; }
  166. # Don't try to exec as it changes $[0], causing all sort of problems
  167. # (the dirname of $[0] is not the place where we might find the
  168. # original and so on. Autoconf is especially sensitive to this).
  169. . "./$as_me.lineno"
  170. # Exit status is that of the last command.
  171. exit
  172. }
  173. if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  174. as_dirname=dirname
  175. else
  176. as_dirname=false
  177. fi
  178. ECHO_C= ECHO_N= ECHO_T=
  179. case `echo -n x` in
  180. -n*)
  181. case `echo 'x\c'` in
  182. *c*) ECHO_T=' ';; # ECHO_T is single tab character.
  183. *) ECHO_C='\c';;
  184. esac;;
  185. *)
  186. ECHO_N='-n';;
  187. esac
  188. if expr a : '\(a\)' >/dev/null 2>&1 &&
  189. test "X`expr 00001 : '.*\(...\)'`" = X001; then
  190. as_expr=expr
  191. else
  192. as_expr=false
  193. fi
  194. rm -f conf$$ conf$$.exe conf$$.file
  195. if test -d conf$$.dir; then
  196. rm -f conf$$.dir/conf$$.file
  197. else
  198. rm -f conf$$.dir
  199. mkdir conf$$.dir
  200. fi
  201. echo >conf$$.file
  202. if ln -s conf$$.file conf$$ 2>/dev/null; then
  203. as_ln_s='ln -s'
  204. # ... but there are two gotchas:
  205. # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
  206. # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
  207. # In both cases, we have to default to `cp -p'.
  208. ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
  209. as_ln_s='cp -p'
  210. elif ln conf$$.file conf$$ 2>/dev/null; then
  211. as_ln_s=ln
  212. else
  213. as_ln_s='cp -p'
  214. fi
  215. rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
  216. rmdir conf$$.dir 2>/dev/null
  217. if mkdir -p . 2>/dev/null; then
  218. as_mkdir_p=:
  219. else
  220. test -d ./-p && rmdir ./-p
  221. as_mkdir_p=false
  222. fi
  223. if test -x / >/dev/null 2>&1; then
  224. as_test_x='test -x'
  225. else
  226. if ls -dL / >/dev/null 2>&1; then
  227. as_ls_L_option=L
  228. else
  229. as_ls_L_option=
  230. fi
  231. as_test_x='
  232. eval sh -c '\''
  233. if test -d "$1"; then
  234. test -d "$1/.";
  235. else
  236. case $1 in
  237. -*)set "./$1";;
  238. esac;
  239. case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
  240. ???[sx]*):;;*)false;;esac;fi
  241. '\'' sh
  242. '
  243. fi
  244. as_executable_p=$as_test_x
  245. # Sed expression to map a string onto a valid CPP name.
  246. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  247. # Sed expression to map a string onto a valid variable name.
  248. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  249. exec 6>&1
  250. # Save the log message, to keep $[0] and so on meaningful, and to
  251. # report actual input values of CONFIG_FILES etc. instead of their
  252. # values after options handling.
  253. ac_log="
  254. This file was extended by ta-lib $as_me 0.4.0, which was
  255. generated by GNU Autoconf 2.61. Invocation command line was
  256. CONFIG_FILES = $CONFIG_FILES
  257. CONFIG_HEADERS = $CONFIG_HEADERS
  258. CONFIG_LINKS = $CONFIG_LINKS
  259. CONFIG_COMMANDS = $CONFIG_COMMANDS
  260. $ $0 $@
  261. on `(hostname || uname -n) 2>/dev/null | sed 1q`
  262. "
  263. # Files that config.status was made for.
  264. config_files=" Makefile src/Makefile src/ta_abstract/Makefile src/ta_common/Makefile src/ta_func/Makefile src/tools/Makefile src/tools/gen_code/Makefile src/tools/ta_regtest/Makefile ta-lib-config ta-lib.spec ta-lib.dpkg"
  265. config_headers=" include/ta_config.h"
  266. config_commands=" depfiles"
  267. ac_cs_usage="\
  268. \`$as_me' instantiates files from templates according to the
  269. current configuration.
  270. Usage: $0 [OPTIONS] [FILE]...
  271. -h, --help print this help, then exit
  272. -V, --version print version number and configuration settings, then exit
  273. -q, --quiet do not print progress messages
  274. -d, --debug don't remove temporary files
  275. --recheck update $as_me by reconfiguring in the same conditions
  276. --file=FILE[:TEMPLATE]
  277. instantiate the configuration file FILE
  278. --header=FILE[:TEMPLATE]
  279. instantiate the configuration header FILE
  280. Configuration files:
  281. $config_files
  282. Configuration headers:
  283. $config_headers
  284. Configuration commands:
  285. $config_commands
  286. Report bugs to <bug-autoconf@gnu.org>."
  287. ac_cs_version="\
  288. ta-lib config.status 0.4.0
  289. configured by ./configure, generated by GNU Autoconf 2.61,
  290. with options \"\"
  291. Copyright (C) 2006 Free Software Foundation, Inc.
  292. This config.status script is free software; the Free Software Foundation
  293. gives unlimited permission to copy, distribute and modify it."
  294. ac_pwd='/home/yawyd/code/docker-images/py310/ta-lib'
  295. srcdir='.'
  296. INSTALL='/usr/bin/install -c'
  297. MKDIR_P='/usr/bin/mkdir -p'
  298. # If no file are specified by the user, then we need to provide default
  299. # value. By we need to know if files were specified by the user.
  300. ac_need_defaults=:
  301. while test $# != 0
  302. do
  303. case $1 in
  304. --*=*)
  305. ac_option=`expr "X$1" : 'X\([^=]*\)='`
  306. ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
  307. ac_shift=:
  308. ;;
  309. *)
  310. ac_option=$1
  311. ac_optarg=$2
  312. ac_shift=shift
  313. ;;
  314. esac
  315. case $ac_option in
  316. # Handling of the options.
  317. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  318. ac_cs_recheck=: ;;
  319. --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
  320. echo "$ac_cs_version"; exit ;;
  321. --debug | --debu | --deb | --de | --d | -d )
  322. debug=: ;;
  323. --file | --fil | --fi | --f )
  324. $ac_shift
  325. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  326. ac_need_defaults=false;;
  327. --header | --heade | --head | --hea )
  328. $ac_shift
  329. CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  330. ac_need_defaults=false;;
  331. --he | --h)
  332. # Conflict between --help and --header
  333. { echo "$as_me: error: ambiguous option: $1
  334. Try \`$0 --help' for more information." >&2
  335. { (exit 1); exit 1; }; };;
  336. --help | --hel | -h )
  337. echo "$ac_cs_usage"; exit ;;
  338. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  339. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  340. ac_cs_silent=: ;;
  341. # This is an error.
  342. -*) { echo "$as_me: error: unrecognized option: $1
  343. Try \`$0 --help' for more information." >&2
  344. { (exit 1); exit 1; }; } ;;
  345. *) ac_config_targets="$ac_config_targets $1"
  346. ac_need_defaults=false ;;
  347. esac
  348. shift
  349. done
  350. ac_configure_extra_args=
  351. if $ac_cs_silent; then
  352. exec 6>/dev/null
  353. ac_configure_extra_args="$ac_configure_extra_args --silent"
  354. fi
  355. if $ac_cs_recheck; then
  356. echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
  357. CONFIG_SHELL=/bin/bash
  358. export CONFIG_SHELL
  359. exec /bin/bash "./configure" $ac_configure_extra_args --no-create --no-recursion
  360. fi
  361. exec 5>>config.log
  362. {
  363. echo
  364. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  365. ## Running $as_me. ##
  366. _ASBOX
  367. echo "$ac_log"
  368. } >&5
  369. #
  370. # INIT-COMMANDS
  371. #
  372. AMDEP_TRUE="" ac_aux_dir="."
  373. # Handling of arguments.
  374. for ac_config_target in $ac_config_targets
  375. do
  376. case $ac_config_target in
  377. "include/ta_config.h") CONFIG_HEADERS="$CONFIG_HEADERS include/ta_config.h" ;;
  378. "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
  379. "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  380. "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
  381. "src/ta_abstract/Makefile") CONFIG_FILES="$CONFIG_FILES src/ta_abstract/Makefile" ;;
  382. "src/ta_common/Makefile") CONFIG_FILES="$CONFIG_FILES src/ta_common/Makefile" ;;
  383. "src/ta_func/Makefile") CONFIG_FILES="$CONFIG_FILES src/ta_func/Makefile" ;;
  384. "src/tools/Makefile") CONFIG_FILES="$CONFIG_FILES src/tools/Makefile" ;;
  385. "src/tools/gen_code/Makefile") CONFIG_FILES="$CONFIG_FILES src/tools/gen_code/Makefile" ;;
  386. "src/tools/ta_regtest/Makefile") CONFIG_FILES="$CONFIG_FILES src/tools/ta_regtest/Makefile" ;;
  387. "ta-lib-config") CONFIG_FILES="$CONFIG_FILES ta-lib-config" ;;
  388. "ta-lib.spec") CONFIG_FILES="$CONFIG_FILES ta-lib.spec" ;;
  389. "ta-lib.dpkg") CONFIG_FILES="$CONFIG_FILES ta-lib.dpkg" ;;
  390. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  391. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  392. { (exit 1); exit 1; }; };;
  393. esac
  394. done
  395. # If the user did not use the arguments to specify the items to instantiate,
  396. # then the envvar interface is used. Set only those that are not.
  397. # We use the long form for the default assignment because of an extremely
  398. # bizarre bug on SunOS 4.1.3.
  399. if $ac_need_defaults; then
  400. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  401. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  402. test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  403. fi
  404. # Have a temporary directory for convenience. Make it in the build tree
  405. # simply because there is no reason against having it here, and in addition,
  406. # creating and moving files from /tmp can sometimes cause problems.
  407. # Hook for its removal unless debugging.
  408. # Note that there is a small window in which the directory will not be cleaned:
  409. # after its creation but before its name has been assigned to `$tmp'.
  410. $debug ||
  411. {
  412. tmp=
  413. trap 'exit_status=$?
  414. { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
  415. ' 0
  416. trap '{ (exit 1); exit 1; }' 1 2 13 15
  417. }
  418. # Create a (secure) tmp directory for tmp files.
  419. {
  420. tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  421. test -n "$tmp" && test -d "$tmp"
  422. } ||
  423. {
  424. tmp=./conf$$-$RANDOM
  425. (umask 077 && mkdir "$tmp")
  426. } ||
  427. {
  428. echo "$me: cannot create a temporary directory in ." >&2
  429. { (exit 1); exit 1; }
  430. }
  431. #
  432. # Set up the sed scripts for CONFIG_FILES section.
  433. #
  434. # No need to generate the scripts if there are no CONFIG_FILES.
  435. # This happens for instance when ./config.status config.h
  436. if test -n "$CONFIG_FILES"; then
  437. cat >"$tmp/subs-1.sed" <<\CEOF
  438. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  439. s,@SHELL@,|#_!!_#|/bin/bash,g
  440. s,@PATH_SEPARATOR@,|#_!!_#|:,g
  441. s,@PACKAGE_NAME@,|#_!!_#|ta-lib,g
  442. s,@PACKAGE_TARNAME@,|#_!!_#|ta-lib,g
  443. s,@PACKAGE_VERSION@,|#_!!_#|0.4.0,g
  444. s,@PACKAGE_STRING@,|#_!!_#|ta-lib 0.4.0,g
  445. s,@PACKAGE_BUGREPORT@,|#_!!_#|http://sourceforge.net/tracker/?group_id=8903\&atid=108903,g
  446. s,@exec_prefix@,|#_!!_#|${prefix},g
  447. s,@prefix@,|#_!!_#|/usr/local,g
  448. s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
  449. s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
  450. s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
  451. s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
  452. s,@datarootdir@,|#_!!_#|${prefix}/share,g
  453. s,@datadir@,|#_!!_#|${datarootdir},g
  454. s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
  455. s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
  456. s,@localstatedir@,|#_!!_#|${prefix}/var,g
  457. s,@includedir@,|#_!!_#|${prefix}/include,g
  458. s,@oldincludedir@,|#_!!_#|/usr/include,g
  459. s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
  460. s,@infodir@,|#_!!_#|${datarootdir}/info,g
  461. s,@htmldir@,|#_!!_#|${docdir},g
  462. s,@dvidir@,|#_!!_#|${docdir},g
  463. s,@pdfdir@,|#_!!_#|${docdir},g
  464. s,@psdir@,|#_!!_#|${docdir},g
  465. s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
  466. s,@localedir@,|#_!!_#|${datarootdir}/locale,g
  467. s,@mandir@,|#_!!_#|${datarootdir}/man,g
  468. s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
  469. s,@ECHO_C@,|#_!!_#|,g
  470. s,@ECHO_N@,|#_!!_#|-n,g
  471. s,@ECHO_T@,|#_!!_#|,g
  472. s,@LIBS@,|#_!!_#|-lpthread -ldl ,g
  473. s,@build_alias@,|#_!!_#|,g
  474. s,@host_alias@,|#_!!_#|,g
  475. s,@target_alias@,|#_!!_#|,g
  476. s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
  477. s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
  478. s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
  479. s,@am__isrc@,|#_!!_#|,g
  480. s,@CYGPATH_W@,|#_!!_#|echo,g
  481. s,@PACKAGE@,|#_!!_#|ta-lib,g
  482. s,@VERSION@,|#_!!_#|0.4.0,g
  483. s,@ACLOCAL@,|#_!!_#|${SHELL} /home/yawyd/code/docker-images/py310/ta-lib/missing --run aclocal-1.10,g
  484. s,@AUTOCONF@,|#_!!_#|${SHELL} /home/yawyd/code/docker-images/py310/ta-lib/missing --run autoconf,g
  485. s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/yawyd/code/docker-images/py310/ta-lib/missing --run automake-1.10,g
  486. s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/yawyd/code/docker-images/py310/ta-lib/missing --run autoheader,g
  487. s,@MAKEINFO@,|#_!!_#|${SHELL} /home/yawyd/code/docker-images/py310/ta-lib/missing --run makeinfo,g
  488. s,@install_sh@,|#_!!_#|$(SHELL) /home/yawyd/code/docker-images/py310/ta-lib/install-sh,g
  489. s,@STRIP@,|#_!!_#|strip,g
  490. s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
  491. s,@mkdir_p@,|#_!!_#|/usr/bin/mkdir -p,g
  492. s,@AWK@,|#_!!_#|gawk,g
  493. s,@SET_MAKE@,|#_!!_#|,g
  494. s,@am__leading_dot@,|#_!!_#|.,g
  495. s,@AMTAR@,|#_!!_#|${SHELL} /home/yawyd/code/docker-images/py310/ta-lib/missing --run tar,g
  496. s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
  497. s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
  498. s,@CC@,|#_!!_#|gcc,g
  499. s,@CFLAGS@,|#_!!_#|-g -O2,g
  500. s,@LDFLAGS@,|#_!!_#|,g
  501. s,@CPPFLAGS@,|#_!!_#|,g
  502. s,@ac_ct_CC@,|#_!!_#|gcc,g
  503. s,@EXEEXT@,|#_!!_#|,g
  504. s,@OBJEXT@,|#_!!_#|o,g
  505. s,@DEPDIR@,|#_!!_#|.deps,g
  506. s,@am__include@,|#_!!_#|include,g
  507. s,@am__quote@,|#_!!_#|,g
  508. s,@AMDEP_TRUE@,|#_!!_#|,g
  509. s,@AMDEP_FALSE@,|#_!!_#|#,g
  510. s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
  511. s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
  512. s,@am__fastdepCC_TRUE@,|#_!!_#|,g
  513. s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
  514. s,@build@,|#_!!_#|x86_64-unknown-linux-gnu,g
  515. s,@build_cpu@,|#_!!_#|x86_64,g
  516. s,@build_vendor@,|#_!!_#|unknown,g
  517. s,@build_os@,|#_!!_#|linux-gnu,g
  518. s,@host@,|#_!!_#|x86_64-unknown-linux-gnu,g
  519. s,@host_cpu@,|#_!!_#|x86_64,g
  520. s,@host_vendor@,|#_!!_#|unknown,g
  521. s,@host_os@,|#_!!_#|linux-gnu,g
  522. s,@GREP@,|#_!!_#|/usr/bin/grep,g
  523. s,@EGREP@,|#_!!_#|/usr/bin/grep -E,g
  524. s,@LN_S@,|#_!!_#|ln -s,g
  525. s,@ECHO@,|#_!!_#|echo,g
  526. s,@AR@,|#_!!_#|ar,g
  527. s,@RANLIB@,|#_!!_#|ranlib,g
  528. s,@CPP@,|#_!!_#|gcc -E,g
  529. s,@CXX@,|#_!!_#|g++,g
  530. s,@CXXFLAGS@,|#_!!_#|-g -O2,g
  531. s,@ac_ct_CXX@,|#_!!_#|g++,g
  532. s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
  533. s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
  534. s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
  535. s,@CXXCPP@,|#_!!_#|g++ -E,g
  536. CEOF
  537. cat >"$tmp/subs-2.sed" <<\CEOF
  538. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
  539. s,@F77@,|#_!!_#|,g
  540. s,@FFLAGS@,|#_!!_#|,g
  541. s,@ac_ct_F77@,|#_!!_#|,g
  542. s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
  543. s,@POW_LIB@,|#_!!_#|,g
  544. s,@LIBOBJS@,|#_!!_#|,g
  545. s,@TALIB_LIBRARY_VERSION@,|#_!!_#|0:0:0,g
  546. s,@LTLIBOBJS@,|#_!!_#|,g
  547. :end
  548. s/|#_!!_#|//g
  549. CEOF
  550. fi # test -n "$CONFIG_FILES"
  551. for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
  552. do
  553. case $ac_tag in
  554. :[FHLC]) ac_mode=$ac_tag; continue;;
  555. esac
  556. case $ac_mode$ac_tag in
  557. :[FHL]*:*);;
  558. :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
  559. echo "$as_me: error: Invalid tag $ac_tag." >&2;}
  560. { (exit 1); exit 1; }; };;
  561. :[FH]-) ac_tag=-:-;;
  562. :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  563. esac
  564. ac_save_IFS=$IFS
  565. IFS=:
  566. set x $ac_tag
  567. IFS=$ac_save_IFS
  568. shift
  569. ac_file=$1
  570. shift
  571. case $ac_mode in
  572. :L) ac_source=$1;;
  573. :[FH])
  574. ac_file_inputs=
  575. for ac_f
  576. do
  577. case $ac_f in
  578. -) ac_f="$tmp/stdin";;
  579. *) # Look for the file first in the build tree, then in the source tree
  580. # (if the path is not absolute). The absolute path cannot be DOS-style,
  581. # because $ac_f cannot contain `:'.
  582. test -f "$ac_f" ||
  583. case $ac_f in
  584. [\\/$]*) false;;
  585. *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
  586. esac ||
  587. { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
  588. echo "$as_me: error: cannot find input file: $ac_f" >&2;}
  589. { (exit 1); exit 1; }; };;
  590. esac
  591. ac_file_inputs="$ac_file_inputs $ac_f"
  592. done
  593. # Let's still pretend it is `configure' which instantiates (i.e., don't
  594. # use $as_me), people would be surprised to read:
  595. # /* config.h. Generated by config.status. */
  596. configure_input="Generated from "`IFS=:
  597. echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
  598. if test x"$ac_file" != x-; then
  599. configure_input="$ac_file. $configure_input"
  600. { echo "$as_me:$LINENO: creating $ac_file" >&5
  601. echo "$as_me: creating $ac_file" >&6;}
  602. fi
  603. case $ac_tag in
  604. *:-:* | *:-) cat >"$tmp/stdin";;
  605. esac
  606. ;;
  607. esac
  608. ac_dir=`$as_dirname -- "$ac_file" ||
  609. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  610. X"$ac_file" : 'X\(//\)[^/]' \| \
  611. X"$ac_file" : 'X\(//\)$' \| \
  612. X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
  613. echo X"$ac_file" |
  614. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  615. s//\1/
  616. q
  617. }
  618. /^X\(\/\/\)[^/].*/{
  619. s//\1/
  620. q
  621. }
  622. /^X\(\/\/\)$/{
  623. s//\1/
  624. q
  625. }
  626. /^X\(\/\).*/{
  627. s//\1/
  628. q
  629. }
  630. s/.*/./; q'`
  631. { as_dir="$ac_dir"
  632. case $as_dir in #(
  633. -*) as_dir=./$as_dir;;
  634. esac
  635. test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
  636. as_dirs=
  637. while :; do
  638. case $as_dir in #(
  639. *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
  640. *) as_qdir=$as_dir;;
  641. esac
  642. as_dirs="'$as_qdir' $as_dirs"
  643. as_dir=`$as_dirname -- "$as_dir" ||
  644. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  645. X"$as_dir" : 'X\(//\)[^/]' \| \
  646. X"$as_dir" : 'X\(//\)$' \| \
  647. X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
  648. echo X"$as_dir" |
  649. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  650. s//\1/
  651. q
  652. }
  653. /^X\(\/\/\)[^/].*/{
  654. s//\1/
  655. q
  656. }
  657. /^X\(\/\/\)$/{
  658. s//\1/
  659. q
  660. }
  661. /^X\(\/\).*/{
  662. s//\1/
  663. q
  664. }
  665. s/.*/./; q'`
  666. test -d "$as_dir" && break
  667. done
  668. test -z "$as_dirs" || eval "mkdir $as_dirs"
  669. } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
  670. echo "$as_me: error: cannot create directory $as_dir" >&2;}
  671. { (exit 1); exit 1; }; }; }
  672. ac_builddir=.
  673. case "$ac_dir" in
  674. .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
  675. *)
  676. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  677. # A ".." for each directory in $ac_dir_suffix.
  678. ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
  679. case $ac_top_builddir_sub in
  680. "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  681. *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  682. esac ;;
  683. esac
  684. ac_abs_top_builddir=$ac_pwd
  685. ac_abs_builddir=$ac_pwd$ac_dir_suffix
  686. # for backward compatibility:
  687. ac_top_builddir=$ac_top_build_prefix
  688. case $srcdir in
  689. .) # We are building in place.
  690. ac_srcdir=.
  691. ac_top_srcdir=$ac_top_builddir_sub
  692. ac_abs_top_srcdir=$ac_pwd ;;
  693. [\\/]* | ?:[\\/]* ) # Absolute name.
  694. ac_srcdir=$srcdir$ac_dir_suffix;
  695. ac_top_srcdir=$srcdir
  696. ac_abs_top_srcdir=$srcdir ;;
  697. *) # Relative name.
  698. ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
  699. ac_top_srcdir=$ac_top_build_prefix$srcdir
  700. ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
  701. esac
  702. ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
  703. case $ac_mode in
  704. :F)
  705. #
  706. # CONFIG_FILE
  707. #
  708. case $INSTALL in
  709. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  710. *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  711. esac
  712. ac_MKDIR_P=$MKDIR_P
  713. case $MKDIR_P in
  714. [\\/$]* | ?:[\\/]* ) ;;
  715. */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
  716. esac
  717. # If the template does not know about datarootdir, expand it.
  718. # FIXME: This hack should be removed a few years after 2.60.
  719. ac_datarootdir_hack=; ac_datarootdir_seen=
  720. case `sed -n '/datarootdir/ {
  721. p
  722. q
  723. }
  724. /@datadir@/p
  725. /@docdir@/p
  726. /@infodir@/p
  727. /@localedir@/p
  728. /@mandir@/p
  729. ' $ac_file_inputs` in
  730. *datarootdir*) ac_datarootdir_seen=yes;;
  731. *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  732. { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
  733. echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
  734. ac_datarootdir_hack='
  735. s&@datadir@&${datarootdir}&g
  736. s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
  737. s&@infodir@&${datarootdir}/info&g
  738. s&@localedir@&${datarootdir}/locale&g
  739. s&@mandir@&${datarootdir}/man&g
  740. s&\${datarootdir}&${prefix}/share&g' ;;
  741. esac
  742. sed "/^[ ]*VPATH[ ]*=/{
  743. s/:*\$(srcdir):*/:/
  744. s/:*\${srcdir}:*/:/
  745. s/:*@srcdir@:*/:/
  746. s/^\([^=]*=[ ]*\):*/\1/
  747. s/:*$//
  748. s/^[^=]*=[ ]*$//
  749. }
  750. :t
  751. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  752. s&@configure_input@&$configure_input&;t t
  753. s&@top_builddir@&$ac_top_builddir_sub&;t t
  754. s&@srcdir@&$ac_srcdir&;t t
  755. s&@abs_srcdir@&$ac_abs_srcdir&;t t
  756. s&@top_srcdir@&$ac_top_srcdir&;t t
  757. s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
  758. s&@builddir@&$ac_builddir&;t t
  759. s&@abs_builddir@&$ac_abs_builddir&;t t
  760. s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
  761. s&@INSTALL@&$ac_INSTALL&;t t
  762. s&@MKDIR_P@&$ac_MKDIR_P&;t t
  763. $ac_datarootdir_hack
  764. " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
  765. test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  766. { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
  767. { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
  768. { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  769. which seems to be undefined. Please make sure it is defined." >&5
  770. echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  771. which seems to be undefined. Please make sure it is defined." >&2;}
  772. rm -f "$tmp/stdin"
  773. case $ac_file in
  774. -) cat "$tmp/out"; rm -f "$tmp/out";;
  775. *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
  776. esac
  777. ;;
  778. :H)
  779. #
  780. # CONFIG_HEADER
  781. #
  782. # First, check the format of the line:
  783. cat >"$tmp/defines.sed" <<\CEOF
  784. /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
  785. /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
  786. b
  787. :def
  788. s/$/ /
  789. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "ta-lib" ,
  790. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "ta-lib" ,
  791. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "0.4.0" ,
  792. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "ta-lib 0.4.0" ,
  793. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "http://sourceforge.net/tracker/?group_id=8903\&atid=108903" ,
  794. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "ta-lib" ,
  795. s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.4.0" ,
  796. s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
  797. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
  798. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
  799. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
  800. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
  801. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
  802. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
  803. s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
  804. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
  805. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
  806. s,^\([ #]*\)[^ ]*\([ ]*HAVE_DLFCN_H\)[ (].*,\1define\2 1 ,
  807. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBDL\)[ (].*,\1define\2 1 ,
  808. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBPTHREAD\)[ (].*,\1define\2 1 ,
  809. s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
  810. s,^\([ #]*\)[^ ]*\([ ]*HAVE_FLOAT_H\)[ (].*,\1define\2 1 ,
  811. s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
  812. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIMITS_H\)[ (].*,\1define\2 1 ,
  813. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LOCALE_H\)[ (].*,\1define\2 1 ,
  814. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDDEF_H\)[ (].*,\1define\2 1 ,
  815. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
  816. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
  817. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
  818. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
  819. s,^\([ #]*\)[^ ]*\([ ]*HAVE_WCHAR_H\)[ (].*,\1define\2 1 ,
  820. s,^\([ #]*\)[^ ]*\([ ]*HAVE_WCTYPE_H\)[ (].*,\1define\2 1 ,
  821. s,^\([ #]*\)[^ ]*\([ ]*HAVE_PTRDIFF_T\)[ (].*,\1define\2 1 ,
  822. s,^\([ #]*\)[^ ]*\([ ]*RETSIGTYPE\)[ (].*,\1define\2 void ,
  823. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCOLL\)[ (].*,\1define\2 1 ,
  824. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 ,
  825. s,^\([ #]*\)[^ ]*\([ ]*HAVE_VPRINTF\)[ (].*,\1define\2 1 ,
  826. s,^\([ #]*\)[^ ]*\([ ]*HAVE_ISASCII\)[ (].*,\1define\2 1 ,
  827. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LOCALECONV\)[ (].*,\1define\2 1 ,
  828. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MBLEN\)[ (].*,\1define\2 1 ,
  829. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMMOVE\)[ (].*,\1define\2 1 ,
  830. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMSET\)[ (].*,\1define\2 1 ,
  831. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MODF\)[ (].*,\1define\2 1 ,
  832. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCASECMP\)[ (].*,\1define\2 1 ,
  833. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCHR\)[ (].*,\1define\2 1 ,
  834. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
  835. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRNCASECMP\)[ (].*,\1define\2 1 ,
  836. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRRCHR\)[ (].*,\1define\2 1 ,
  837. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 ,
  838. CEOF
  839. sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
  840. # First, check the format of the line:
  841. cat >"$tmp/defines.sed" <<\CEOF
  842. /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
  843. /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
  844. b
  845. :def
  846. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRTOL\)[ (].*,\1define\2 1 ,
  847. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRTOUL\)[ (].*,\1define\2 1 ,
  848. s/ $//
  849. s,^[ #]*u.*,/* & */,
  850. CEOF
  851. sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
  852. ac_result="$tmp/out2"
  853. if test x"$ac_file" != x-; then
  854. echo "/* $configure_input */" >"$tmp/config.h"
  855. cat "$ac_result" >>"$tmp/config.h"
  856. if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
  857. { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  858. echo "$as_me: $ac_file is unchanged" >&6;}
  859. else
  860. rm -f $ac_file
  861. mv "$tmp/config.h" $ac_file
  862. fi
  863. else
  864. echo "/* $configure_input */"
  865. cat "$ac_result"
  866. fi
  867. rm -f "$tmp/out12"
  868. # Compute $ac_file's index in $config_headers.
  869. _am_stamp_count=1
  870. for _am_header in $config_headers :; do
  871. case $_am_header in
  872. $ac_file | $ac_file:* )
  873. break ;;
  874. * )
  875. _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  876. esac
  877. done
  878. echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
  879. $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  880. X$ac_file : 'X\(//\)[^/]' \| \
  881. X$ac_file : 'X\(//\)$' \| \
  882. X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
  883. echo X$ac_file |
  884. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  885. s//\1/
  886. q
  887. }
  888. /^X\(\/\/\)[^/].*/{
  889. s//\1/
  890. q
  891. }
  892. /^X\(\/\/\)$/{
  893. s//\1/
  894. q
  895. }
  896. /^X\(\/\).*/{
  897. s//\1/
  898. q
  899. }
  900. s/.*/./; q'`/stamp-h$_am_stamp_count
  901. ;;
  902. :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
  903. echo "$as_me: executing $ac_file commands" >&6;}
  904. ;;
  905. esac
  906. case $ac_file$ac_mode in
  907. "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  908. # Strip MF so we end up with the name of the file.
  909. mf=`echo "$mf" | sed -e 's/:.*$//'`
  910. # Check whether this is an Automake generated Makefile or not.
  911. # We used to match only the files named `Makefile.in', but
  912. # some people rename them; so instead we look at the file content.
  913. # Grep'ing the first line is not enough: some people post-process
  914. # each Makefile.in and add a new line on top of each file to say so.
  915. # Grep'ing the whole file is not good either: AIX grep has a line
  916. # limit of 2048, but all sed's we know have understand at least 4000.
  917. if sed 10q "$mf" | grep '^#.*generated by automake' > /dev/null 2>&1; then
  918. dirpart=`$as_dirname -- "$mf" ||
  919. $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  920. X"$mf" : 'X\(//\)[^/]' \| \
  921. X"$mf" : 'X\(//\)$' \| \
  922. X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
  923. echo X"$mf" |
  924. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  925. s//\1/
  926. q
  927. }
  928. /^X\(\/\/\)[^/].*/{
  929. s//\1/
  930. q
  931. }
  932. /^X\(\/\/\)$/{
  933. s//\1/
  934. q
  935. }
  936. /^X\(\/\).*/{
  937. s//\1/
  938. q
  939. }
  940. s/.*/./; q'`
  941. else
  942. continue
  943. fi
  944. # Extract the definition of DEPDIR, am__include, and am__quote
  945. # from the Makefile without running `make'.
  946. DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
  947. test -z "$DEPDIR" && continue
  948. am__include=`sed -n 's/^am__include = //p' < "$mf"`
  949. test -z "am__include" && continue
  950. am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
  951. # When using ansi2knr, U may be empty or an underscore; expand it
  952. U=`sed -n 's/^U = //p' < "$mf"`
  953. # Find all dependency output files, they are included files with
  954. # $(DEPDIR) in their names. We invoke sed twice because it is the
  955. # simplest approach to changing $(DEPDIR) to its actual value in the
  956. # expansion.
  957. for file in `sed -n "
  958. s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
  959. sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
  960. # Make sure the directory exists.
  961. test -f "$dirpart/$file" && continue
  962. fdir=`$as_dirname -- "$file" ||
  963. $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  964. X"$file" : 'X\(//\)[^/]' \| \
  965. X"$file" : 'X\(//\)$' \| \
  966. X"$file" : 'X\(/\)' \| . 2>/dev/null ||
  967. echo X"$file" |
  968. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  969. s//\1/
  970. q
  971. }
  972. /^X\(\/\/\)[^/].*/{
  973. s//\1/
  974. q
  975. }
  976. /^X\(\/\/\)$/{
  977. s//\1/
  978. q
  979. }
  980. /^X\(\/\).*/{
  981. s//\1/
  982. q
  983. }
  984. s/.*/./; q'`
  985. { as_dir=$dirpart/$fdir
  986. case $as_dir in #(
  987. -*) as_dir=./$as_dir;;
  988. esac
  989. test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
  990. as_dirs=
  991. while :; do
  992. case $as_dir in #(
  993. *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
  994. *) as_qdir=$as_dir;;
  995. esac
  996. as_dirs="'$as_qdir' $as_dirs"
  997. as_dir=`$as_dirname -- "$as_dir" ||
  998. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  999. X"$as_dir" : 'X\(//\)[^/]' \| \
  1000. X"$as_dir" : 'X\(//\)$' \| \
  1001. X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
  1002. echo X"$as_dir" |
  1003. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  1004. s//\1/
  1005. q
  1006. }
  1007. /^X\(\/\/\)[^/].*/{
  1008. s//\1/
  1009. q
  1010. }
  1011. /^X\(\/\/\)$/{
  1012. s//\1/
  1013. q
  1014. }
  1015. /^X\(\/\).*/{
  1016. s//\1/
  1017. q
  1018. }
  1019. s/.*/./; q'`
  1020. test -d "$as_dir" && break
  1021. done
  1022. test -z "$as_dirs" || eval "mkdir $as_dirs"
  1023. } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
  1024. echo "$as_me: error: cannot create directory $as_dir" >&2;}
  1025. { (exit 1); exit 1; }; }; }
  1026. # echo "creating $dirpart/$file"
  1027. echo '# dummy' > "$dirpart/$file"
  1028. done
  1029. done
  1030. ;;
  1031. esac
  1032. done # for ac_tag
  1033. { (exit 0); exit 0; }